> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update user signature

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/users/{userId}/signatures/{signatureId}
Content-Type: application/json

Creates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature.

**Note:** This will also create a default signature for the user when one does not exist.

The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account.

The `signatureId` parameter accepts a signature ID. Docusign recommends you use signature ID (`signatureId`), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode "Bob Smith" as "Bob%20Smith".

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/users/usersignatures/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `signatureId` (string, required) — The ID of the account stamp.
- `userId` (string, required) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.

### Query parameters

- `close_existing_signature` (string, optional) — When **true,** closes the current signature.

### Body (application/json)

This endpoint expects an userSignatureDefinition.

- `dateStampProperties` (dateStampProperties, optional) — Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - `DateAreaX`: The X axis position of the top-left corner. - `DateAreaY`: The Y axis position of the top-left corner. - `DateAreaWidth`: The width of the rectangle. - `DateAreaHeight`: The height of the rectangle.
- `disallowUserResizeStamp` (string, optional) — When **true,** users may not resize the stamp.
- `externalID` (string, optional) — Optionally specify an external identifier for the user's signature.
- `imageType` (string, optional) — Specificies the type of image. Valid values: - `stamp_image` - `signature_image` - `initials_image`
- `isDefault` (string, optional) — Boolean that specifies whether the signature is the default signature for the user.
- `nrdsId` (string, optional) — The National Association of Realtors (NAR) membership ID for a user who is a realtor.
- `nrdsLastName` (string, optional) — The realtor's last name.
- `phoneticName` (string, optional) — The phonetic spelling of the `signatureName`.
- `signatureFont` (string, optional) — The font type to use for the signature if the signature is not drawn. The following font styles are supported. The quotes are to indicate that these values are strings, not `enums`. - `"1_DocuSign"` - `"2_DocuSign"` - `"3_DocuSign"` - `"4_DocuSign"` - `"5_DocuSign"` - `"6_DocuSign"` - `"7_DocuSign"` - `"8_DocuSign"` - `"Mistral"` - `"Rage Italic"`
- `signatureId` (string, optional) — Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the `signatureName` property in the body is used. This allows the use of special characters (such as "&", "\<", ">") in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID.
- `signatureInitials` (string, optional) — Specifies the user's signature in initials format.
- `signatureName` (string, optional) — Specifies the user's signature name.
- `signatureType` (string, optional) — Specifies the type of signature.
- `stampFormat` (string, optional) — The format of a stamp. Valid values are: - `NameHanko`: The stamp represents only the signer's name. - `NameDateHanko`: The stamp represents the signer's name and the date.
- `stampSizeMM` (string, optional) — The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents.

## Response

### 200

Successful response.

- `adoptedDateTime` (string, optional) — The date and time the user adopted their signature.
- `createdDateTime` (string, optional) — The UTC DateTime when the item was created.
- `customField` (string, optional)
- `dateStampProperties` (dateStampProperties, optional) — Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - `DateAreaX`: The X axis position of the top-left corner. - `DateAreaY`: The Y axis position of the top-left corner. - `DateAreaWidth`: The width of the rectangle. - `DateAreaHeight`: The height of the rectangle.
- `disallowUserResizeStamp` (string, optional) — When **true,** users may not resize the stamp.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `externalID` (string, optional) — Optionally specify an external identifier for the user's signature.
- `imageBase64` (string, optional) — A Base64-encoded representation of the signature image.
- `imageType` (string, optional) — Specificies the type of image. Valid values: - `stamp_image` - `signature_image` - `initials_image`
- `initials150ImageId` (string, optional) — The ID of the user's initials image.
- `initialsImageUri` (string, optional) — The URI for retrieving the image of the user's initials.
- `isDefault` (string, optional) — Boolean that specifies whether the signature is the default signature for the user.
- `lastModifiedDateTime` (string, optional) — The date and time that the item was last modified.
- `nrdsId` (string, optional) — The National Association of Realtors (NAR) membership ID for a user who is a realtor.
- `nrdsLastName` (string, optional) — The realtor's last name.
- `nrdsStatus` (string, optional) — The realtor's NAR membership status. The value `active` verifies that the user is a current NAR member. Valid values are: - `Active` - `Inactive` - `Terminate` - `Provisional` - `Deceased` - `Suspend` - `Unknown`
- `phoneticName` (string, optional) — The phonetic spelling of the `signatureName`.
- `signature150ImageId` (string, optional) — The ID of the user's signature image.
- `signatureFont` (string, optional) — The font type for the signature, if the signature is not drawn. The supported font types are: "7_DocuSign", "1_DocuSign", "6_DocuSign", "8_DocuSign", "3_DocuSign", "Mistral", "4_DocuSign", "2_DocuSign", "5_DocuSign", "Rage Italic"
- `signatureId` (string, optional) — Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the `signatureName` property in the body is used. This allows the use of special characters (such as "&", "\<", ">") in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID.
- `signatureImageUri` (string, optional) — An endpoint URI that you can use to retrieve the user's signature image.
- `signatureInitials` (string, optional) — The initials associated with the signature.
- `signatureName` (string, optional) — Specifies the user's signature name.
- `signatureRights` (string, optional) — The rights that the user has to the signature. Valid values are: - `none` - `read` - `admin`
- `signatureType` (string, optional) — Specifies the type of signature.
- `stampFormat` (string, optional) — The format of a stamp. Valid values are: - `NameHanko`: The stamp represents only the signer's name. - `NameDateHanko`: The stamp represents the signer's name and the date.
- `stampImageUri` (string, optional) — The URI for retrieving the image of the user's stamp.
- `stampSizeMM` (string, optional) — The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents.
- `stampType` (string, optional) — The type of stamp. Valid values are: - `signature`: A signature image. This is the default value. - `stamp`: A stamp image. - null
- `status` (string, optional) — Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### dateStampProperties

Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - `DateAreaX`: The X axis position of the top-left corner. - `DateAreaY`: The Y axis position of the top-left corner. - `DateAreaWidth`: The width of the rectangle. - `DateAreaHeight`: The height of the rectangle.

- `dateAreaHeight` (string, optional) — The height of the rectangle.
- `dateAreaWidth` (string, optional) — The width of the rectangle.
- `dateAreaX` (string, optional) — The X axis position of the top-left corner.
- `dateAreaY` (string, optional) — The Y axis position of the top-left corner.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Request**

```json
{
  "dateStampProperties": {
    "dateAreaHeight": "sample string 1",
    "dateAreaWidth": "sample string 2",
    "dateAreaX": "sample string 3",
    "dateAreaY": "sample string 4"
  },
  "disallowUserResizeStamp": "sample string 1",
  "externalID": "sample string 2",
  "imageType": "sample string 3",
  "isDefault": "sample string 4",
  "nrdsId": "sample string 5",
  "nrdsLastName": "sample string 6",
  "phoneticName": "sample string 7",
  "signatureFont": "sample string 8",
  "signatureInitials": "sample string 10",
  "signatureName": "sample string 11",
  "signatureType": "sample string 12",
  "stampFormat": "sample string 13",
  "stampSizeMM": "sample string 14"
}
```

**Response**

```json
{
  "adoptedDateTime": "sample string 1",
  "createdDateTime": "sample string 2",
  "customField": "sample string 3",
  "dateStampProperties": {
    "dateAreaHeight": "sample string 1",
    "dateAreaWidth": "sample string 2",
    "dateAreaX": "sample string 3",
    "dateAreaY": "sample string 4"
  },
  "disallowUserResizeStamp": "sample string 4",
  "errorDetails": {
    "errorCode": "sample string 1",
    "message": "sample string 2"
  },
  "externalID": "sample string 5",
  "imageBase64": "sample string 6",
  "imageType": "sample string 7",
  "initials150ImageId": "sample string 8",
  "initialsImageUri": "sample string 9",
  "isDefault": "sample string 10",
  "lastModifiedDateTime": "sample string 11",
  "nrdsId": "sample string 12",
  "nrdsLastName": "sample string 13",
  "nrdsStatus": "sample string 14",
  "phoneticName": "sample string 15",
  "signature150ImageId": "sample string 16",
  "signatureFont": "sample string 17",
  "signatureId": "sample string 18",
  "signatureImageUri": "sample string 19",
  "signatureInitials": "sample string 20",
  "signatureName": "sample string 21",
  "signatureRights": "sample string 22",
  "signatureType": "sample string 23",
  "stampFormat": "sample string 24",
  "stampImageUri": "sample string 25",
  "stampSizeMM": "sample string 26",
  "stampType": "sample string 27",
  "status": "sample string 28"
}
```